commit a9dbe8e5c5dd04f0a24af66392060f9f2f0b8672
parent bfd0967704346857eb056d0d9e3cccfc113cff99
Author: Vincent Forest <vincent.forest@meso-star.com>
Date: Wed, 20 May 2026 15:32:07 +0200
Stardis: add a subsection dedicated to installation
Move the installation procedure to this new subsection so that users can
access it directly without having to scroll through the overview page.
Use non-breaking spaces in menu labels to prevent an entry from being
split across two lines. This layout issue has arisen because, since the
addition of the "Installation" subsection, the entries no longer fit on
a single line.
Links to git projects now point to the meso-star server instead of
gitlab.com, whether the link leads to the repository's HTML interface or
to the Git repository itself.
Diffstat:
5 files changed, 95 insertions(+), 68 deletions(-)
diff --git a/stardis/.gitignore b/stardis/.gitignore
@@ -1,3 +1,5 @@
+install.html
+install.md
Stardis-*-GNU-Linux64/
Stardis-Starter-Pack-*/
consortium*.html
diff --git a/stardis/index.tsv b/stardis/index.tsv
@@ -1,6 +1,7 @@
Overview stardis.html
+Installation install.html
Validation validation.html
Consortium consortium-@LANG@.html fr:en
-Manual pages stardis-docs.html
-Starter Pack starter-pack.html
-Release notes release-notes.html
+Manual pages stardis-docs.html
+Starter Pack starter-pack.html
+Release notes release-notes.html
diff --git a/stardis/install.md.in b/stardis/install.md.in
@@ -0,0 +1,62 @@
+# Compile from source
+
+The installation of Stardis consists of compiling the solver and the
+command line tools directly on the target machine.
+A simple way is to rely on
+[star-build](https://www.meso-star.com/git/star-build/),
+which automates the build and installation of `stardis` and
+its dependencies from source code.
+
+## Prerequisites
+
+To build `stardis` with `star-build`, first make sure your system has
+the following prerequisites:
+
+- POSIX shell
+- POSIX make
+- curl
+- git
+- mandoc
+- pkg-config
+- sha512sum
+- GNU Compiler Collection in version 8.3 or higher
+- OpenMPI library and headers in version 2 or higher (optional)
+
+## Build
+
+Assuming that the aforementioned prerequisites are available, the
+build procedure is summed up to:
+
+ git clone git://git.meso-star.com/star-build.git
+ cd star-build
+ make \
+ PREFIX=/path/to/stardis/ \
+ BUILD=src/therm-apps/stardis_@STARDIS_VERSION@.sh
+
+With `PREFIX` defining the path where Stardis will be installed
+and `BUILD` defining the installation script to be run.
+
+By default, Stardis is built with MPI enabled, so OpenMPI is one of its
+requirements.
+To disable MPI support, simply set the `DISTRIB_PARALLELISM` parameter
+to NONE as follows:
+
+ make \
+ PREFIX=/path/to/stardis/ \
+ BUILD=src/therm-apps/stardis_@STARDIS_VERSION@.sh \
+ DISTRIB_PARALLELISM=NONE
+
+## Run
+
+Evaluate the installed `profile` file in the current
+shell to register `stardis` against it.
+You can then run `stardis` and consult its manual pages:
+
+ . /path/to/stardis/etc/profile
+ stardis -h
+ man stardis
+
+Refer to the [Stardis: Starter Pack](starter-pack.html) to quickly run a
+thermal simulation through the `stardis` CLI; this archive provides
+input data and scripts and is a good starting point to begin with the
+Stardis framework.
diff --git a/stardis/install.sh b/stardis/install.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+# Copyright (C) 2017-2026 |Méso|Star> (contact@meso-star.com)
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "./config.sh.in"
+
+set -e
+
+sed -e "s/@STARDIS_VERSION@/${stardis_version}/g" \
+ -e "s/@SOLVER_VERSION@/${solver_version}/g" \
+ -e "s/@SGREEN_VERSION@/${sgreen_version}/g" \
+ install.md.in
diff --git a/stardis/stardis.md.in b/stardis/stardis.md.in
@@ -130,7 +130,7 @@ See below for more information on each of these components.
## Stardis-Solver
-[Stardis-Solver](https://gitlab.com/meso-star/stardis-solver.git) is the
+[Stardis-Solver](https://www.meso-star.com/git/stardis-solver) is the
core library of Stardis:
it simulates coupled convecto - conducto - radiative heat transfers by
sampling thermal paths that explore space and time until a boundary
@@ -260,7 +260,7 @@ hypothesis are as follows:
[](images/ramier_island_sun.png)
> Infrared rendering by Stardis of a city district generated by
-> [City\_Generator2](https://gitlab.com/meso-star/city_generator2)
+> [City\_Generator2](https://www.meso-star.com/git/city_generator2)
> from the cadastral map of Ile du Ramier in Toulouse, France.
> Temperature are given in Kelvin.
> The coupled exchanges of convection, conduction and
@@ -310,69 +310,6 @@ They make it easy to exploit the features of the solver.
> Computed using the stardis infrared rendering feature, one image per
> simulated second.
-## Installation
-
-The installation of Stardis consists of compiling the solver and the
-command line tools directly on the target machine.
-A simple way is to rely on
-[star-build](https://gitlab.com/meso-star/star-build/),
-which automates the build and installation of `stardis` and
-its dependencies from source code.
-
-### Prerequisites
-
-To build `stardis` with `star-build`, first make sure your system has
-the following prerequisites:
-
-- POSIX shell
-- POSIX make
-- curl
-- git
-- mandoc
-- pkg-config
-- sha512sum
-- GNU Compiler Collection in version 8.3 or higher
-- OpenMPI library and headers in version 2 or higher (optional)
-
-### Build
-
-Assuming that the aforementioned prerequisites are available, the
-build procedure is summed up to:
-
- ~ $ git clone https://gitlab.com/meso-star/star-build.git
- ~ $ cd star-build
- ~/star-build $ make \
- PREFIX=/path/to/stardis/ \
- BUILD=src/therm-apps/stardis_@STARDIS_VERSION@.sh
-
-With `PREFIX` defining the path where Stardis will be installed
-and `BUILD` defining the installation script to be run.
-
-By default, Stardis is built with MPI enabled, so OpenMPI is one of its
-requirements.
-To disable MPI support, simply set the `DISTRIB_PARALLELISM` parameter
-to NONE as follows:
-
- ~/star-build $ make \
- PREFIX=/path/to/stardis/ \
- BUILD=src/therm-apps/stardis_@STARDIS_VERSION@.sh \
- DISTRIB_PARALLELISM=NONE
-
-### Run
-
-Evaluate the installed `profile` file in the current
-shell to register `stardis` against it.
-You can then run `stardis` and consult its manual pages:
-
- . /path/to/stardis/etc/profile
- stardis -h
- man stardis
-
-Refer to the [Stardis: Starter Pack](starter-pack.html) to quickly run a
-thermal simulation through the `stardis` CLI; this archive provides
-input data and scripts and is a good starting point to begin with the
-Stardis framework.
-
## License
<span id="license"/>